# ObjectiveCppPlugin

@Incubating
abstract class ObjectiveCppPlugin : Plugin<T>

A plugin for projects wishing to build native binary components from Objective-C++ sources.

Automatically includes the ObjectiveCppLangPlugin for core Objective-C++ support and the NativeComponentPlugin for native component support.

- Creates a org.gradle.language.objectivecpp.tasks.ObjectiveCppCompile task for each org.gradle.language.objectivecpp.ObjectiveCppSourceSet to compile the Objective-C++ sources.

## Constructors

ObjectiveCppPlugin
Link copied to clipboard
constructor()

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)